// The Swift Programming Language
// https://docs.swift.org/swift-book

import Alamofire
import Foundation

//Класс для запросов
public final class BaseNetworkService: BaseNetworkServiceProtocol {
    
    public var baseURL: String? // standart url
    
    public init() {}
    
    //func request
    public func execute(path: String, method: HTTPMethod, headers: HTTPHeaders, parameters: Parameters? = nil) async throws -> Data {
        guard let baseURL = baseURL else {
            fatalError("Error baseURL")
        }
        
        let stringURL = baseURL + "/" + path
        
        print(stringURL)
        
        let data = try await AF.request(stringURL, method: method, parameters: parameters, encoding: JSONEncoding.default, headers: headers).serializingData().value
        
        print(String(data: data, encoding: .utf8))
        
        return data
        
    }
    
    public func configure(baseURL: String) {
        self.baseURL = baseURL
    }
    
    
}
